### Method

# WebKit Settings get_user_agent

#### Declaration [src]

    const gchar*
    webkit_settings_get_user_agent (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:user-agent` property.

Gets property | `WebKit.Settings:user-agent`

#### Return value

Returns: | `const gchar*`
| The current value of the user-agent property.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.